#include "../lib/snmp_api.h"

/* 
  * SESSION COMMANDS
  ********* */
extern snmp_session * mksession(int version, char *host, char *port, char *rocommunity, char *rwcommunity, int timeout, int retries);
extern void freesession(snmp_session *s);

/* 
  * "RETURN CHAR" COMMANDS
  ********* */
char * doGet(snmp_session *s, char *oids);
char * doGetNext(snmp_session *s, char *oids);
char * doSet(snmp_session *s, char *oids, char *values);
char * doWalk(snmp_session *s, char *oids);
char * doBulk(snmp_session *s, char *oids, int nonrep, int maxrep);

/* 
  * "RETURN PACKET" COMMANDS
  ********* */
Packet * getit(snmp_session *s, Packet *req, Packet *rcv);
Packet * walkit(snmp_session *s, Packet *req, Packet *rcv);
Packet * setit(snmp_session *s, Packet *req, Packet *rcv);
Packet * bulkit(snmp_session *s, Packet *req, Packet *rcv);

/* 
  * "PRINT" COMMANDS
  ********* */
char * dumppkt(Packet *s);

/* 
  * OTHER COMMANDS
  ********* */
char * dosnmp(snmp_session *session, char *oids, char *values, int type, int n, int m);
/* Used to decide if the walk proccess migth continue o stop */
int canwalk(Packet *header, Packet *torcv);