/* snmp protocol stuff */
/* definitions */
#define SNMP_VERSION_1		0
#define SNMP_VERSION_2		1
#define SNMP_VERSION_2C		1
#define SNMP_VERSION_3		2
/* used as defaults */
#define SNMP_MAX_OIDS		32
#define SNMP_MAX_RCV_PKT		20480
#define SNMP_MAX_SND_PKT		20480
#define SNMP_PORT				"snmp"
#define SNMP_RETRIES			3
#define SNMP_ROCOMMUNITY	"public"
#define SNMP_RWCOMMUNITY	"private"
#define SNMP_TIMEOUT			5000
#define SNMP_VERSION			SNMP_VERSION_1

typedef struct snmp_session snmp_session;

struct snmp_session {
	/* Snmp version */
	int version;
	/* Dst host */
	char *host;
	/* Dst port */
	char *port;
	/* RO Community */
	char *rocommunity;
	/* RW Community */
	char *rwcommunity;
	/* RO Community length */
	int rocommlen;
	/* RW Community length */
	int rwcommlen;
	/* Timeout */
	int timeout;
	/* Retries */
	int retries;
	/* sndMsgMaxSize */
	int sndMsgMaxSize;
	/* rcvMsgMaxSize */
	int rcvMsgMaxSize;
	/* Max OIDs */
	int maxoids;
};

snmp_session * mksession(int version, char *host, char *port, char *rocommunity, char *rwcommunity, int timeout, int retries);
void freesession(snmp_session *s);